libzypp: ztui::Application Class Reference

libzypp 17.38.5

ztui::Application Class Reference

`#include <zypp-tui/application.h>`

Inheritance diagram for ztui::Application:

## Public Member Functions
| Application ()
virtual | ~Application ()
const Config & | config () const
Config & | mutableConfig ()
virtual Out & | out ()
virtual void | setOutputWriter (Out *out)
int | exitCode () const
void | setExitCode (int exit)

## Static Public Member Functions
static Application & | instance ()

## Protected Member Functions
| Application (std::shared_ptr< Config > &&cfg)

## Private Member Functions
void | init ()

## Private Attributes
int | _exitCode
std::shared_ptr< Config > | _config
std::shared_ptr< Out > | _out

## Detailed Description

Definition at line 26 of file application.h.

## Constructor & Destructor Documentation

## ◆ Application() [1/2]

ztui::Application::Application | ( |  | ) |

Definition at line 22 of file application.cc.

## ◆ ~Application()

ztui::Application::~Application | ( |  | ) |
| virtual

Definition at line 39 of file application.cc.

## ◆ Application() [2/2]

ztui::Application::Application | ( | std::shared_ptr< Config > && | cfg | ) |
| protected

Definition at line 27 of file application.cc.

## Member Function Documentation

## ◆ instance()

Application & ztui::Application::instance | ( |  | ) |
| static

Returns the Application instance for the current thread after it was created.

Definition at line 45 of file application.cc.

## ◆ config()

const Config & ztui::Application::config | ( |  | ) | const

Definition at line 53 of file application.cc.

## ◆ mutableConfig()

Config & ztui::Application::mutableConfig | ( |  | ) |

Definition at line 58 of file application.cc.

## ◆ out()

Out & ztui::Application::out | ( |  | ) |
| virtual

Definition at line 63 of file application.cc.

## ◆ setOutputWriter()

void ztui::Application::setOutputWriter | ( | Out * | out | ) |
| virtual

Definition at line 71 of file application.cc.

## ◆ exitCode()

int ztui::Application::exitCode | ( |  | ) | const
| inline

Definition at line 44 of file application.h.

## ◆ setExitCode()

void ztui::Application::setExitCode | ( | int | exit | ) |

Definition at line 78 of file application.cc.

## ◆ init()

void ztui::Application::init | ( |  | ) |
| private

Definition at line 32 of file application.cc.

## Member Data Documentation

## ◆ _exitCode

int ztui::Application::_exitCode
| private

Definition at line 52 of file application.h.

## ◆ _config

std::shared_ptr<Config> ztui::Application::_config
| private

Definition at line 53 of file application.h.

## ◆ _out

std::shared_ptr<Out> ztui::Application::_out
| private

Definition at line 54 of file application.h.

The documentation for this class was generated from the following files:

- zypp-tui/application.h
- zypp-tui/application.cc